Subject: Re: bug#12447: 24.1.50; Stuck in garbage collection on OS X

From: Chong Yidong <[email-masked]>
Date: Fri, 21 Sep 2012 11:31:51 +0800

Eli Zaretskii <[email-masked]> writes:

>> When `run-with-idle-timer' is called from an idle timer, we could
>> interpret it to mean "run the function the next time Emacs becomes idle
>> for SECS seconds, not including the current period of idleness".
>
> I could think of some legitimate uses of the current behavior, though.
> For example, imagine an idle timer that gets run after 1 sec of
> idleness, does something quick and simple, and then calls itself or
> another time with a larger timeout value, at which time it will do
> something different, perhaps more complex.  I see no reason to
> forcibly prevent such use cases.

It would still be possible to get the old behavior by calling
lower-level timer functions used by `run-with-idle-timer'.

> It is also in line with Emacs behavior since about forever.  The
> possibility of an infloop was a side effect of another bugfix.  With
> that possibility hopefully taken care of, we have no reason to change
> old behavior, which evidently at least one external package relies
> upon.

What is the package that relies on the old behavior?